## tox-delay 0.1.2

=== Makefile ===
#!/usr/bin/make
#
# Copyright (c) 2022  Peter Pentchev <roam@ringlet.net>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

SH_PROG=	shell/tox-delay
SH_SRC=		shell/tox-delay.sh

MAN1=		tox-delay.1
MAN1GZ=		${MAN1}.gz

PYTHON3?=	python3

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

INSTALL_PROGRAM?=	install -o '${BINOWN}' -g '${BINGRP}' -m '${BINMODE}'
INSTALL_DATA?=		install -o '${SHAREOWN}' -g '${SHAREGRP}' -m '${SHAREMODE}'

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man
MAN1DIR?=	${MANDIR}1

all:		${SH_PROG} ${MAN1GZ}

install:	all
		mkdir -p -- '${DESTDIR}${BINDIR}'
		${INSTALL_PROGRAM} -- '${SH_PROG}' '${DESTDIR}${BINDIR}/'
		mkdir -p -- '${DESTDIR}${MAN1DIR}'
		${INSTALL_DATA} -- '${MAN1GZ}' '${DESTDIR}${MAN1DIR}/'

${SH_PROG}:	${SH_SRC}
		install -m 755 -- '${SH_SRC}' '${SH_PROG}'

${MAN1GZ}:	${MAN1}
		gzip -9cn -- '${MAN1}' > '${MAN1GZ}' || { rm -f -- '${MAN1GZ}'; false; }

clean:
		rm -f -- '${SH_PROG}' '${MAN1GZ}'

distclean:	clean
		rm -rf -- .mypy_cache .tox
		find python -type d \
			\( -name '__pycache__' -or -name '*.egg-info' \) \
			-exec rm -rf -- '{}' +

test-all:	test-shellcheck test-sh test-tox-delay

test-sh:	${SH_PROG}
		${PYTHON3} tests/functional.py -e '${SH_PROG}'

test-shellcheck:
		shellcheck -- '${SH_SRC}'

test-tox:
		${PYTHON3} -m tox

test-tox-delay:
		env PYTHONPATH="$${PYTHONPATH:+$$PYTHONPATH:}${CURDIR}/python" \
			${PYTHON3} -B -u -m tox_delay \
			-p all -e unit-tests,functional,functional-installed \
			-- -p all

.PHONY:		all install clean test-sh test-tox test-tox-delay

## tox-delay 0.1.0

=== debian/changelog ===
tox-delay (0.1.0-1) unstable; urgency=medium

  * Initial release.  Closes: #1006178

 -- Peter Pentchev <roam@debian.org>  Sun, 20 Feb 2022 18:22:17 +0200

=== debian/control ===
Source: tox-delay
Section: devel
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-single-binary,
 python3 <!nocheck>,
 python3-feature-check <!nocheck>,
 tox <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://devel.ringlet.net/devel/tox-delay/
Vcs-Git: https://gitlab.com/ppentchev/tox-delay.git -b debian/unstable
Vcs-Browser: https://gitlab.com/ppentchev/tox-delay/tree/debian/unstable
Rules-Requires-Root: no

Package: tox-delay
Architecture: all
Depends:
  ${misc:Depends},
Multi-Arch: foreign
Description: run some Tox tests after others have completed
 The tox-delay tool postpones the run of the specified Tox environments
 after the run of all the others has completed successfully. This may be
 useful if e.g. there are unit or functional test environments, which
 it would make no sense to run if the static checkers (pylint, mypy, etc)
 find problems.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh '$@'

override_dh_auto_test:
	env PYTHONPATH='${CURDIR}/debian/python' python3 tests/functional.py -e '${CURDIR}/shell/tox-delay'

override_dh_auto_install:
	dh_auto_install -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_PROGRAM='install -m 755' \
		INSTALL_DATA='install -m 644'

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/debian/python" python3 tests/functional.py -e /usr/bin/tox-delay
Depends: @, python3, python3-feature-check, tox
Restrictions: allow-stderr
Features: test-name=upstream_python

## tox-delay 0.1.1

=== debian/changelog ===
tox-delay (0.1.1-1) unstable; urgency=medium

  * Drop the embedded copy of utf8-locale now that it has been
    accepted into unstable.
  * New upstream version.

 -- Peter Pentchev <roam@debian.org>  Sat, 26 Feb 2022 14:36:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  dh-sequence-single-binary,
  python3 <!nocheck>,
  python3-feature-check <!nocheck>,
+ python3-utf8-locale <!nocheck>,
  tox <!nocheck>,
 Standards-Version: 4.6.0
 Homepage: https://devel.ringlet.net/devel/tox-delay/

## tox-delay 0.1.2

=== debian/changelog ===
tox-delay (0.1.2-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * New upstream version.

 -- Peter Pentchev <roam@debian.org>  Thu, 20 Oct 2022 17:04:56 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-feature-check <!nocheck>,
  python3-utf8-locale <!nocheck>,
  tox <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://devel.ringlet.net/devel/tox-delay/
 Vcs-Git: https://gitlab.com/ppentchev/tox-delay.git -b debian/unstable
 Vcs-Browser: https://gitlab.com/ppentchev/tox-delay/tree/debian/unstable

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh '$@'
 
 override_dh_auto_test:
-	env PYTHONPATH='${CURDIR}/debian/python' python3 tests/functional.py -e '${CURDIR}/shell/tox-delay'
+	python3 tests/functional.py -e '${CURDIR}/shell/tox-delay'
 
 override_dh_auto_install:
 	dh_auto_install -- \

=== debian/tests/control ===
Test-Command: python3 tests/functional.py -e /usr/bin/tox-delay
Depends: @, python3, python3-feature-check, python3-utf8-locale, tox
Restrictions: allow-stderr
Features: test-name=upstream_python

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/devel/tox-delay/ https://devel.ringlet.net/(?:files/)?devel/tox-delay/tox-delay-@ANY_VERSION@@ARCHIVE_EXT@

## tox-delay 0.1.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make
 #
-# Copyright (c) 2022  Peter Pentchev <roam@ringlet.net>
+# Copyright (c) Peter Pentchev <roam@ringlet.net>
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without

=== debian/changelog ===
tox-delay (0.1.4-1) unstable; urgency=medium

  * Include dpkg's default.mk for completeness.
  * Use dpkg-build-api 1, drop the implied Rules-Requires-Root: no
    declaration.
  * New upstream release:
    - fix the build with feature-check 2.x; thus, add a version to
      the feature-check build dependency. Closes: #1064768
    - add a version (1.x) to the utf8-locale build dependency
    - drop the tox-4-compat patch, implemented upstream in almost
      the same way
    - follow upstream's switch to yearless copyright notices
  * Add a news entry about the deprecation of tox-delay.

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Feb 2024 17:32:03 +0200

tox-delay (0.1.2-2) unstable; urgency=medium

  * Add the tox-4-compat patch to adapt the test suite to Tox 4.x.
    Closes: #1035647
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Fri, 16 Jun 2023 02:17:25 +0300

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-single-binary,
+ dpkg-build-api (= 1),
  python3 <!nocheck>,
- python3-feature-check <!nocheck>,
- python3-utf8-locale <!nocheck>,
+ python3-feature-check (>> 2) <!nocheck>,
+ python3-utf8-locale (>> 1) <!nocheck>,
  tox <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://devel.ringlet.net/devel/tox-delay/
 Vcs-Git: https://gitlab.com/ppentchev/tox-delay.git -b debian/unstable
 Vcs-Browser: https://gitlab.com/ppentchev/tox-delay/tree/debian/unstable
-Rules-Requires-Root: no
 
 Package: tox-delay
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 %:
 	dh '$@'
